VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
SeekableStream Class Referenceabstract

Seekable stream interface. More...

`#include <cstream.h>`

Inheritance diagram for SeekableStream:

## Public Types
enum | SeekMode { kSeekSet , kSeekCurrent , kSeekEnd }

## Public Member Functions
virtual | ~SeekableStream () noexcept=default
virtual int64_t | seek (int64_t pos, SeekMode mode)=0
| returns -1 if seek fails otherwise new position
virtual int64_t | tell () const =0
virtual void | rewind ()=0

## Detailed Description

Seekable stream interface.

## Member Enumeration Documentation

## ◆ SeekMode

enum SeekMode

Enumerator
kSeekSet |
kSeekCurrent |
kSeekEnd |

## Constructor & Destructor Documentation

## ◆ ~SeekableStream()

virtual ~SeekableStream | ( |  | ) |
| virtual default noexcept

## Member Function Documentation

## ◆ rewind()

virtual void rewind | ( |  | ) |
| pure virtual

Implemented in CFileStream, CMemoryStream, CResourceInputStream, and MemoryContentProvider.

## ◆ seek()

virtual int64_t seek | ( | int64_t | pos,
|  | SeekMode | mode )
| pure virtual

returns -1 if seek fails otherwise new position

Implemented in CFileStream, CMemoryStream, and CResourceInputStream.

## ◆ tell()

virtual int64_t tell | ( |  | ) | const
| pure virtual

Implemented in CFileStream, CMemoryStream, and CResourceInputStream.

The documentation for this class was generated from the following file:

- cstream.h